using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace PDF_Office.DataConvert
{
    class IntAndTagToBoolMultiBinding : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            if (values[0] == null|| values[1]==null)
            {
                return false;
            }
            else
            {
                if (values[0].ToString()== values[1].ToString())
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
